Subject: Re: [PATCH net] ipv4: icmp: fix null-ptr-deref in icmp_build_probe()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 3 Apr 2026 15:45:36 -0700

On Thu,  2 Apr 2026 15:04:19 +0800 Yiqi Sun wrote:
> Instead, silently discard the request. RFC 8335 does not appear to
> define a specific response for the case where an IPv6 interface
> identifier is syntactically valid but the implementation cannot perform
> the lookup at runtime, and silently dropping the request may safer than
> misreporting "No Such Interface".

Well, my intuition would be to fall thru and make the check after the
switch handle error pointers. But I guess this version gives us the
opportunity to delete the just-added check on net->net-next merge so ok.